classification
Title: Wording of s * n in Common Sequence Operations is not optimal
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chavdar, docs@python, mdk
Priority: normal Keywords: easy, patch

Created on 2020-10-04 16:20 by mdk, last changed 2021-03-15 22:51 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22570 merged chavdar, 2020-10-05 19:51
Messages (3)
msg377958 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2020-10-04 16:20
As reported by Graham Ewart on docs@,

in https://docs.python.org/3/library/stdtypes.html#common-sequence-operations:

s * n or n * s | equivalent to adding s to itself n times

is badly worded. In fact it's more like n-1 times, but yet it's not adding s to itself.

I'd go for "n times the s sequence" or "n copies of the s sequence" instead, which both avoid the "n-1" and the "to itself" parts.
msg378069 - (view) Author: Chavdar Yotov (chavdar) * Date: 2020-10-05 18:01
Looks like a fitting first contribution. Working on a PR now :-)
msg388786 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2021-03-15 22:50
New changeset 0269ce87c9347542c54a653dd78b9f60bb9fa822 by Chavdar Yotov in branch 'master':
bpo-41933: Clarify wording for s * n in Common Sequence Operations (GH-22570)
https://github.com/python/cpython/commit/0269ce87c9347542c54a653dd78b9f60bb9fa822
History
Date User Action Args
2021-03-15 22:51:22mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-03-15 22:50:56mdksetmessages: + msg388786
2020-10-05 19:51:19chavdarsetkeywords: + patch
stage: patch review
pull_requests: + pull_request21566
2020-10-05 18:01:23chavdarsetnosy: + chavdar
messages: + msg378069
2020-10-04 16:20:21mdkcreate